Bug 880116 - [ALL LANG][SAM CLI] undefined method `[]' for nil:NilClass occurred when --add_subscription with pool id for activation_key update module.
[ALL LANG][SAM CLI] undefined method `[]' for nil:NilClass occurred when --ad...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Jordan OMara
SAM QE List
: i18n
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-26 05:05 EST by Lijun Li
Modified: 2014-11-09 17:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Error corrected when subscriptions added to activation key.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:20:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lijun Li 2012-11-26 05:05:08 EST
Description of problem:
undefined method `[]' for nil:NilClass occurred when --add_subscription with pool id for activation_key update module.

Version-Release number of selected component (if applicable):
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
100%

Steps to Reproduce:
[root@i18nsamtest ~]# headpin -u admin -p admin activation_key update --name=test --org=test --new_name=test --environment=test --description=test --add_subscription=8ac28a8e3b273ec5013b3bf805dc03c4
undefined method `[]' for nil:NilClass
^^^^^^Unexpected message.
  
Actual results:
undefined method `[]' for nil:NilClass occurred when --add_subscription with pool id for activation_key update module.

Expected results:
Should have a nomal Validation message.

Additional info:
Comment 1 Jordan OMara 2012-11-29 12:28:35 EST
https://github.com/Katello/katello/pull/1155
Comment 3 Tazim Kolhar 2012-12-03 08:20:36 EST
VERIFIED :
# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-common-1.2.6-3h.el6_3.noarch
katello-headpin-all-1.2.6-3h.el6_3.noarch
katello-cli-common-1.2.4-3h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-1.2.4-3h.el6_3.noarch
katello-headpin-1.2.6-3h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-candlepin-1.2.6-3h.el6_3.noarch


# headpin -u admin -p admin activation_key update --name act_key --new_name act_key_update --environment DEV --description tests --add_subscription 8a90c2993b6025a2013b602bd75f0042 --org ACME_Corporation
Successfully updated activation key [ act_key_update ]
Comment 5 errata-xmlrpc 2013-02-21 14:20:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.